# Uses of Class
org.xnio.conduits.ConduitWritableMessageChannel

Packages that use ConduitWritableMessageChannel
Package
Description
org.xnio
The main API package for XNIO.
org.xnio.conduits
The XNIO conduit SPI.

## Uses of ConduitWritableMessageChannel in org.xnio

Methods in org.xnio that return ConduitWritableMessageChannel
Modifier and Type
Method
Description
`ConduitWritableMessageChannel`
MessageConnection.`getSinkChannel()`
Get the sink channel.

## Uses of ConduitWritableMessageChannel in org.xnio.conduits

Methods in org.xnio.conduits that return ConduitWritableMessageChannel
Modifier and Type
Method
Description
`ConduitWritableMessageChannel`
ConduitWritableMessageChannel.`clone()`
Duplicate this channel.
Methods in org.xnio.conduits that return types with arguments of type ConduitWritableMessageChannel
Modifier and Type
Method
Description
`ChannelListener<? super ConduitWritableMessageChannel>`
ConduitWritableMessageChannel.`getCloseListener()`
`ChannelListener.Setter<ConduitWritableMessageChannel>`
ConduitWritableMessageChannel.`getCloseSetter()`
`ChannelListener<? super ConduitWritableMessageChannel>`
ConduitWritableMessageChannel.`getWriteListener()`
`ChannelListener.Setter<ConduitWritableMessageChannel>`
ConduitWritableMessageChannel.`getWriteSetter()`
Method parameters in org.xnio.conduits with type arguments of type ConduitWritableMessageChannel
Modifier and Type
Method
Description
`void`
ConduitWritableMessageChannel.`setCloseListener(ChannelListener<? super ConduitWritableMessageChannel> closeListener)`
`void`
ConduitWritableMessageChannel.`setWriteListener(ChannelListener<? super ConduitWritableMessageChannel> writeListener)`